org.keycloak.federation.ldap.mappers.membership.group

## Class GroupMapperConfig

- java.lang.Object
- - org.keycloak.federation.ldap.mappers.membership.CommonLDAPGroupMapperConfig
  - - org.keycloak.federation.ldap.mappers.membership.group.GroupMapperConfig

-     public class GroupMapperConfig
      extends CommonLDAPGroupMapperConfig

  Author:
    Marek Posolda

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DROP_NON_EXISTING_GROUPS_DURING_SYNC`
    `static String` | `GET_GROUPS_FROM_USER_MEMBEROF_ATTRIBUTE`
    `static String` | `GROUP_NAME_LDAP_ATTRIBUTE`
    `static String` | `GROUP_OBJECT_CLASSES`
    `static String` | `GROUPS_DN`
    `static String` | `GROUPS_LDAP_FILTER`
    `static String` | `LOAD_GROUPS_BY_MEMBER_ATTRIBUTE`
    `static String` | `LOAD_GROUPS_BY_MEMBER_ATTRIBUTE_RECURSIVELY`
    `static String` | `MAPPED_GROUP_ATTRIBUTES`
    `static String` | `PRESERVE_GROUP_INHERITANCE`

    - ### Fields inherited from class org.keycloak.federation.ldap.mappers.membership.CommonLDAPGroupMapperConfig

      `mapperModel, MEMBERSHIP_ATTRIBUTE_TYPE, MEMBERSHIP_LDAP_ATTRIBUTE, MODE, USER_ROLES_RETRIEVE_STRATEGY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GroupMapperConfig(UserFederationMapperModel mapperModel)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCustomLdapFilter()`
    `Collection<String>` | `getGroupAttributes()`
    `String` | `getGroupNameLdapAttribute()`
    `Collection<String>` | `getGroupObjectClasses(LDAPFederationProvider ldapProvider)`
    `String` | `getGroupsDn()`
    `String` | `getLDAPGroupNameLdapAttribute()`
    `String` | `getLDAPGroupsDn()`
    `String` | `getMembershipLdapAttribute()`
    `String` | `getUserGroupsRetrieveStrategy()`
    `boolean` | `isDropNonExistingGroupsDuringSync()`
    `boolean` | `isPreserveGroupsInheritance()`

    - ### Methods inherited from class org.keycloak.federation.ldap.mappers.membership.CommonLDAPGroupMapperConfig

      `getConfigValues, getMembershipTypeLdapAttribute, getMode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### GROUPS_DN

          public static final String GROUPS_DN

      See Also:
        Constant Field Values

    - #### GROUP_NAME_LDAP_ATTRIBUTE

          public static final String GROUP_NAME_LDAP_ATTRIBUTE

      See Also:
        Constant Field Values

    - #### GROUP_OBJECT_CLASSES

          public static final String GROUP_OBJECT_CLASSES

      See Also:
        Constant Field Values

    - #### PRESERVE_GROUP_INHERITANCE

          public static final String PRESERVE_GROUP_INHERITANCE

      See Also:
        Constant Field Values

    - #### GROUPS_LDAP_FILTER

          public static final String GROUPS_LDAP_FILTER

      See Also:
        Constant Field Values

    - #### MAPPED_GROUP_ATTRIBUTES

          public static final String MAPPED_GROUP_ATTRIBUTES

      See Also:
        Constant Field Values

    - #### DROP_NON_EXISTING_GROUPS_DURING_SYNC

          public static final String DROP_NON_EXISTING_GROUPS_DURING_SYNC

      See Also:
        Constant Field Values

    - #### LOAD_GROUPS_BY_MEMBER_ATTRIBUTE

          public static final String LOAD_GROUPS_BY_MEMBER_ATTRIBUTE

      See Also:
        Constant Field Values

    - #### GET_GROUPS_FROM_USER_MEMBEROF_ATTRIBUTE

          public static final String GET_GROUPS_FROM_USER_MEMBEROF_ATTRIBUTE

      See Also:
        Constant Field Values

    - #### LOAD_GROUPS_BY_MEMBER_ATTRIBUTE_RECURSIVELY

          public static final String LOAD_GROUPS_BY_MEMBER_ATTRIBUTE_RECURSIVELY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### GroupMapperConfig

          public GroupMapperConfig(UserFederationMapperModel mapperModel)

  - ### Method Detail

    - #### getGroupsDn

          public String getGroupsDn()

    - #### getLDAPGroupsDn

          public String getLDAPGroupsDn()

      Specified by:
        `getLDAPGroupsDn` in class `CommonLDAPGroupMapperConfig`

    - #### getGroupNameLdapAttribute

          public String getGroupNameLdapAttribute()

    - #### getLDAPGroupNameLdapAttribute

          public String getLDAPGroupNameLdapAttribute()

      Specified by:
        `getLDAPGroupNameLdapAttribute` in class `CommonLDAPGroupMapperConfig`

    - #### isPreserveGroupsInheritance

          public boolean isPreserveGroupsInheritance()

    - #### getMembershipLdapAttribute

          public String getMembershipLdapAttribute()

      Overrides:
        `getMembershipLdapAttribute` in class `CommonLDAPGroupMapperConfig`

    - #### getGroupObjectClasses

          public Collection<String> getGroupObjectClasses(LDAPFederationProvider ldapProvider)

    - #### getGroupAttributes

          public Collection<String> getGroupAttributes()

    - #### getCustomLdapFilter

          public String getCustomLdapFilter()

    - #### isDropNonExistingGroupsDuringSync

          public boolean isDropNonExistingGroupsDuringSync()

    - #### getUserGroupsRetrieveStrategy

          public String getUserGroupsRetrieveStrategy()

Copyright © 2016 JBoss by Red Hat. All rights reserved.